org.gnome.gtk

## Interface EntryCompletion.InsertPrefix

- Enclosing class:
    EntryCompletion

      public static interface EntryCompletion.InsertPrefix

  Emitted when the inline auto-completion is triggered. The default behavior is to make the entry display the whole prefix and select the newly inserted part.

       final EntryCompletion completion;

       ...

       completion.setInlineCompletion(true);
       completion.connect(new EntryCompletion.InsertPrefix() {
           public boolean onInsertPrefix(EntryCompletion source, String prefix) {
               final Entry entry;

               entry = source.getEntry();
               entry.setText(prefix);
               entry.selectRegion(0, prefix.length());
           }
       });

  Since:
    4.0.12

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `onInsertPrefix(EntryCompletion source, String prefix)` The only two parameters give references to the EntryCompletion `source` which has emitted the signal and the selected `prefix`.

- - ### Method Detail

    - #### onInsertPrefix

          boolean onInsertPrefix(EntryCompletion source,
                               String prefix)

      The only two parameters give references to the EntryCompletion `source` which has emitted the signal and the selected `prefix`.
      Since:
        4.0.12